params [
    ["_unit",ObjNull,[ObjNull]]
    ,["_side","cop",[""]]
    ,["_timer",15,[0]]
    ,["_mode",0,[0]]
];

private _pos = getpos _unit;
private _pid = getplayeruid _unit;
private _markername1 = "";
private _markername2 = "";
private _mcolor = "ColorBlue";
private _mtext = "Polizei Sperrgebiet!";
if (_mode isEqualTo 0) then {
    {
        if ((_x select 2) isEqualTo _pid) exitWith {_mode =1};
    } foreach life_markerzones;
};


if (_mode isEqualTo 1) exitWith {
    {
        _x params ["_markers","_time","_uid"];
        if (_uid isEqualTo _pid) then {
            {deletemarker _x;} foreach _markers;
            life_markerzones deleteat _foreachindex;
        };
    } foreach life_markerzones;
};




if (_side isEqualTo "cop") then { 
    _mcolor = "ColorBlue";
    _mtext = "Polizei Sperrgebiet!";
    
};

if (_side isEqualTo "med") then { 
    _mcolor = "ColorYellow";
    _mtext = "Gefahrenzone!";
};
private _time = time + (_timer * 60);
diag_log format ["Time: %1, Timer: %2", time, _time];
_markername1 = format["marker1_%1",_time];
_markername2 = format["marker2_%1",_time];
    
_marker = createMarker [_markername1, [_pos select 0, _pos select 1, 0]];
_marker setMarkerShape "ELLIPSE";
_marker setMarkerSize [200, 200];
_marker setMarkerBrush "SOLID";
_marker setMarkerColor _mcolor;

_marker2 = createMarker [_markername2, [_pos select 0, _pos select 1, 0]];
_marker2 setMarkerColor "ColorBlack";
_marker2 setMarkerType "mil_warning";
_marker2 setMarkerShape "ICON";
_marker2 setMarkerSize [1,1];
_marker2 setMarkerText _mtext;
life_markerzones pushback [[_marker,_marker2],_time,_pid];

 systemChat format ["Zone erstellt von : %1",name player];